summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2020-04-22 22:31:24 +0200
committerPacho Ramos <pacho@gentoo.org>2020-04-22 23:00:04 +0200
commit3f6baa1121c9443442ec6a0377437c1f984d0eab (patch)
tree63519953904380206ad049aa6fba7517854c11ff
parentgnome-extra/gnome-shell-extension-bluetooth-quick-connect: Stabilize (diff)
downloadgentoo-3f6baa1121c9443442ec6a0377437c1f984d0eab.tar.gz
gentoo-3f6baa1121c9443442ec6a0377437c1f984d0eab.tar.bz2
gentoo-3f6baa1121c9443442ec6a0377437c1f984d0eab.zip
gnome-extra/gnome-shell-extension-dash-to-panel: Bump to v35
Package-Manager: Portage-2.3.96, Repoman-2.3.22 Signed-off-by: Pacho Ramos <pacho@gentoo.org>
-rw-r--r--gnome-extra/gnome-shell-extension-dash-to-panel/Manifest1
-rw-r--r--gnome-extra/gnome-shell-extension-dash-to-panel/gnome-shell-extension-dash-to-panel-35.ebuild74
2 files changed, 75 insertions, 0 deletions
diff --git a/gnome-extra/gnome-shell-extension-dash-to-panel/Manifest b/gnome-extra/gnome-shell-extension-dash-to-panel/Manifest
index a317f2efacb..8aeb686d694 100644
--- a/gnome-extra/gnome-shell-extension-dash-to-panel/Manifest
+++ b/gnome-extra/gnome-shell-extension-dash-to-panel/Manifest
@@ -1,3 +1,4 @@
DIST gnome-shell-extension-dash-to-panel-26.tar.gz 21100594 BLAKE2B da90d4f496e10c14c554edb74065c95bf211f6778c097e3b81d863a46d0d3477f281cebac72f334b461f28b998284a861363b27d6c17ef5b1d47947a1f44bf01 SHA512 45bc148d2419db5943d0c2170ea3739a36c5a928c39d070501c5dfbec3910ba08058af1926c42f75d6b3e5918d8c30aef4f38db0af14115c11027520fa582a2f
DIST gnome-shell-extension-dash-to-panel-34.tar.gz 21115843 BLAKE2B b1bb021b324fb69d65341aa83c528ef4029a282ea951361bc81860b8941a804b48b3713d095d5f160f8673e6de93855d2d34b63c7a04102f1d8995333cdbcbca SHA512 05acc8607175b99dd501e07624b242994ecdcc8d722081a37d254852de5b23de45ee9846d27ce9440c9a3c5ae4b279e6816c2c8a6fcc048fc5b01c9b72b005f2
+DIST gnome-shell-extension-dash-to-panel-35.tar.gz 21115881 BLAKE2B b04e363a0ddfbcc3c9343fb756999d756ced1e2ee24718836acf22e7c8de25d58513caa865b45b0a5b92f5220bf79c120d13763a852933dec3330a66bec90587 SHA512 6d1ed6fac48953d9b15265b969e50e65892ba36cb420794960b789e215f8f69c6f3797065aebb5890aa5e2c23f3e34ec796b76c7972fd2f8cb9a02a422be10a4
DIST tango-gentoo-v1.1.tar.gz 29322 BLAKE2B 83fa2bf37727e60851dd679054fe1b153ebfea58c9a9a40f891f7d68d3b047b02e8effa1d1b4e08d64500a2072ce7200f159c92a352da7124de27e1b05bb6027 SHA512 87d47ddab68361db6d99866c51705dcb3e198f8345a1096859acf2c6cca5099dd23c7fb30d124f52c4933ea38fd45fadffbbe6ecbdfa84f5b60938a4824f9045
diff --git a/gnome-extra/gnome-shell-extension-dash-to-panel/gnome-shell-extension-dash-to-panel-35.ebuild b/gnome-extra/gnome-shell-extension-dash-to-panel/gnome-shell-extension-dash-to-panel-35.ebuild
new file mode 100644
index 00000000000..c5470a35cce
--- /dev/null
+++ b/gnome-extra/gnome-shell-extension-dash-to-panel/gnome-shell-extension-dash-to-panel-35.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit gnome2-utils
+
+MY_PN="${PN/gnome-shell-extension-/}"
+MY_P="${MY_PN}-${PV}"
+DESCRIPTION="An icon taskbar for the Gnome Shell"
+HOMEPAGE="https://github.com/home-sweet-gnome/dash-to-panel"
+SRC_URI="
+ https://github.com/home-sweet-gnome/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ branding? ( https://www.mail-archive.com/tango-artists@lists.freedesktop.org/msg00043/tango-gentoo-v1.1.tar.gz )
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="branding"
+
+COMMON_DEPEND="dev-libs/glib:2"
+RDEPEND="${COMMON_DEPEND}
+ app-eselect/eselect-gnome-shell-extensions
+ >=gnome-base/gnome-shell-3.18.0
+"
+DEPEND="${COMMON_DEPEND}"
+BDEPEND="
+ dev-util/intltool
+ sys-devel/gettext
+"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ # Enable by default custom opacity to get panel slightly transparent
+ # as was done in older Gnome versions
+ "${FILESDIR}"/${PN}-26-opacity.patch
+)
+
+src_prepare() {
+ default
+
+ # Set correct version
+ export VERSION="${PV}"
+
+ # Don't install README and COPYING in unwanted locations
+ sed -i -e 's/COPYING//g' -e 's/README.md//g' Makefile || die
+
+ # Provide fancy Gentoo icon when requested
+ use branding && eapply "${FILESDIR}"/${PN}-26-branding.patch
+}
+
+src_install() {
+ default
+ if use branding; then
+ insinto /usr/share/gnome-shell/extensions/dash-to-panel@jderose9.github.com/img
+ doins "${WORKDIR}/tango-gentoo-v1.1/scalable/gentoo.svg"
+ fi
+}
+
+pkg_preinst() {
+ gnome2_schemas_savelist
+}
+
+pkg_postinst() {
+ gnome2_schemas_update
+ ebegin "Updating list of installed extensions"
+ eselect gnome-shell-extensions update
+ eend $?
+}
+
+pkg_postrm() {
+ gnome2_schemas_update
+}